#include <Wire.h>
#include "SHT20.h"

 /* Подключение:
 * VCC = 3.3V
 * GND = GND
 * SDA = A4 (рекомендуется включить последовательно резистор 330 ом, если ваш контроллер питается от 5 вольт)
 * SCL = A5 (рекомендуется включить последовательно резистор 330 ом, если ваш контроллер питается от 5 вольт)
 */

SHT20 sht20;

void setup()
{
    Serial.begin(9600);
    Serial.println("Пример использования датчика SHT20!");
    sht20.initSHT20();                                  // Инициализация датчика SHT20
}

void loop()
{
    float humd = sht20.readHumidity();                  // считываем влажность
    float temp = sht20.readTemperature();               // считываем температуру
    Serial.print("Температура:");
    Serial.print(temp, 1);
    Serial.print("°C");
    Serial.print("\t\t");
    Serial.print(" Влажность:");
    Serial.print(humd, 1);
    Serial.print("%");
    Serial.println();
    delay(1000);
}
